Skip to main content
POST
Dex - Route

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth

Body

application/json
dex
enum<string>
required

DEX identifier for the trade

Available options:
jupiter,
kyberswap,
raydium,
pumpfun,
moonshot,
candy,
launchpad
Example:

"jupiter"

userAddress
string
required

Public key of the wallet initiating the transaction

Required string length: 8 - 64
Example:

"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"

amount
string
required

Amount to swap. Use "auto" for full balance or percentage like "50%"

Example:

"1000000000"

swapMode
enum<string>
required

Swap direction mode

Available options:
ExactIn,
ExactOut
Example:

"ExactIn"

slippage
integer<int64>
default:5
required

Slippage tolerance percentage

Required range: 0 <= x <= 100
Example:

5

priorityFee
string

Priority fee in SOL to increase transaction processing speed

Example:

"1000"

inputMint
string

Input token mint address

Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

outputMint
string

Output token mint address

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

recipientAddress
string

Recipient wallet address for the swap

Example:

"0x0000000000000000000000000000000000000001"

permit
string

Permit data for the swap

Example:

"66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9"

deadline
integer<int64>

Swap deadline timestamp

Example:

1716806400000

tipFee
string

Tip fee in SOL to increase transaction processing speed

Example:

"1000000"

isAntiMev
boolean
default:false

Whether to enable anti-MEV protection

Example:

true

maxFeePerGas
string

Maximum fee per gas unit (EIP-1559) in wei

Example:

"50000000000"

maxPriorityFeePerGas
string

Maximum priority fee per gas unit (EIP-1559) in wei

Example:

"2000000000"

gasPrice
string

Gas price in wei (legacy transactions)

Example:

"50000000000"

gasLimit
string

Gas limit for the transaction

Example:

"300000"

Response

200 - application/json
args
object
required

Original swap request parameters

serializedTx
string
required

Base64 encoded transaction

Example:

"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="

routeInfo
object
required

Detailed routing information

Example:
elapsedTime
integer<int64>
required

Time taken to process the request in milliseconds

Example:

245

recentBlockhash
string

Recent blockhash for the swap transaction

Example:

"JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP"

lastValidBlockHeight
integer<int64>

Last valid block height for the swap transaction

Example:

416681972